Retrieve Tax Statement
curl --request GET \
--url https://api.fintoc.com/v1/tax_statementimport requests
url = "https://api.fintoc.com/v1/tax_statement"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.fintoc.com/v1/tax_statement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"{\n \"id\": \"taxstmt_000000000\",\n \"fiscal_year\": 2021,\n \"document_number\": \"123456\",\n \"period\": \"10\",\n \"status\": \"Vigente\",\n \"object\": \"tax_statement\",\n \"currency\": \"CLP\",\n \"institution_id\": \"cl_fiscal_sii\",\n \"interval_unit\": \"monthly\",\n \"institution_tax_statement\": {\n \"total_payment\": 2646845,\n \"total_debit\": 1173692,\n \"total_credit\": 403497,\n \"retention_fee\": 6497,\n \"salary_tax\": 1870153,\n \"monthly_provisional_payments\": null\n\t},\n \"taxpayer\": {\n \"id\": \"777777777\",\n \"name\": \"Fintoc SpA\",\n \"institution_tax_payer\": {\n \"phone\": \"999999999\",\n \"email\": \"hello@fintoc.com\",\n \"addresses\": [\n {\n \"city\": \"Santiago\",\n \"code\": \"84345463\",\n \"type\": \"DOMICILIO\",\n \"number\": \"2461\",\n \"region\": \"REGION METROPOLITANA\",\n \"street\": \"LOS CONQUISTADORES\",\n \"commune\": \"PROVIDENCIA\",\n \"apartment\": null\n }\n ],\n \"activities\": [\n {\n \"iva\": false,\n \"code\": \"0123\",\n \"category\": \"1\",\n \"started_at\": \"2020-04-16T04:00:00.000Z\",\n \"description\": \"Servicios de tecnología\"\n }\n ],\n \"authorized_documents\": [\n {\n \"code\": \"33\",\n \"description\": \"FACTURA ELECTRONICA\",\n \"authorized_at\": \"2021-11-30T15:57:38.584Z\",\n \"max_documents\": 414\n }\n ]\n }\n }\n}""{}"Tax Statements
Retrieve Tax Statement
GET
/
tax_statement
Retrieve Tax Statement
v1 · Base URL https://api.fintoc.com/v1Headers
Fintoc Secret Key
Path Parameters
The id of the Tax Statement you want to get.
Query Parameters
The access token of the Link that holds the Tax Statement to retrieve, returned when creating said Link.
Response
200
Example:
"taxstmt_000000000"
Example:
2021
Example:
"123456"
Example:
"10"
Example:
"Vigente"
Example:
"tax_statement"
Example:
"CLP"
Example:
"cl_fiscal_sii"
Example:
"monthly"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I